/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.services.implanttemplate.dbhelper;


/**
 * This class is used by Find method of ImplantTemplateDBQuery, in order to reduce 
 * number of queries made while populating Dataset,Sequences,Items.
 */
class ImplantTemplate_RowDescriptor 
{
	
	
	private String	DEROWID;
	private String	 DATASETUUID;
	private int   GROUPNUMBER;
	private int  ELEMENTNUMBER ;
	boolean   isSQ ;
	private String	 PARENTSQUID;
	private String	 VALUE ;
	private String	 SQUUID;
	private String	 ITEMUUID ;
	private int   DELEVEL ;
	private int   DEVR ;
	
	/**
	 * Returns DE Level.
	 * @return the dELEVEL
	 */
	 int getDELEVEL()
	 {
		return DELEVEL;
	}
	 
	/**
	 * Sets DE Level.
	 * @param delevel the dELEVEL to set
	 */
	 void setDELEVEL(int delevel)
	 {
		DELEVEL = delevel;
	}
	 
	/**
	 * Retrieves the DataElement Row ID
	 * @return String - value of DataElement Row ID
	 */
	 String getDEROWID()
	 {
		return DEROWID;
	}
	 
	/**
	 * Sets the DataElement Row ID
	 * @param strDERowID value of DataElement Row ID
	 */
	 void setDEROWID(String derowid)
	 {
		DEROWID = derowid;
	}
	 
	/**
	 * Retrieves VR Type
	 * @return the dEVR
	 */
	 int getDEVR() 
	 {
		return DEVR;
	}
	 
	/**
	 * Sets VR Type
	 * @param devr the dEVR to set
	 */
	 void setDEVR(int devr) 
	 {
		DEVR = devr;
	}
	 
	/**
	 * Retrieves the ElementNumber
	 * @return the eLEMENTNUMBER
	 */
	 int getELEMENTNUMBER()
	 {
		return ELEMENTNUMBER;
	}
	 
	/**
	 * Sets the ElementNumber
	 * @param elementnumber the eLEMENTNUMBER to set
	 */
	 void setELEMENTNUMBER(int elementnumber)
	 {
		ELEMENTNUMBER = elementnumber;
	}
	 
	/**
	 *  Retrieves the GroupNumber
	 * @return the gROUPNUMBER
	 */
	 int getGROUPNUMBER()
	 {
		return GROUPNUMBER;
	}
	 
	/**
	 * Sets the GroupNumber
	 * @param groupnumber the gROUPNUMBER to set
	 */
	 void setGROUPNUMBER(int groupnumber) 
	 {
		GROUPNUMBER = groupnumber;
	}
	 
	/**
	 * Retrieves the DataElement type as SQ 
	 * @return the isSQ
	 */
	 boolean isSQ()
	 {
		return isSQ;
	}
	 
	/**
	 * Sets the DataElement type as SQ 
	 * @param isSQ the isSQ to set
	 */
	 void setSQ(boolean isSQ) 
	 {
		this.isSQ = isSQ;
	}
	 
	/**
	 * Retrieves the Item UID
	 * @return the iTEMUUID
	 */
	 String getITEMUUID()
	 {
		return ITEMUUID;
	}
	 
	/**
	 * Sets the Item UID
	 * @param itemuuid the iTEMUUID to set
	 */
	 void setITEMUUID(String itemuuid) 
	 {
		ITEMUUID = itemuuid;
	}
	 
	/**
	 * Retrieves the DataSet UID
	 * @return the DATASETUUID
	 */
	 String getDATASETUUID()
	 {
		return DATASETUUID;
	}
	 
	/**
	 * Sets the DataSet UID
	 * @param mwlDatasetUID the DATASETUUID to set
	 */
	 void setDATASETUUID(String mwlDatasetUID)
	 {
		 DATASETUUID = mwlDatasetUID;
	}
	 
	/**
	 * Retrieves the ParentSQUID
	 * @return the pARENTSQUID
	 */
	 String getPARENTSQUID()
	 {
		return PARENTSQUID;
	}
	 
	/**
	 * Sets the ParentSQUID
	 * @param parentsquid the pARENTSQUID to set
	 */
	 void setPARENTSQUID(String parentsquid)
	 {
		PARENTSQUID = parentsquid;
	}
	 
	/**
	 * Retrieves the SQ UID
	 * @return the sQUUID
	 */
	 String getSQUUID()
	 {
		return SQUUID;
	}
	 
	/**
	 * Sets the SQ UID
	 * @param squuid the sQUUID to set
	 */
	 void setSQUUID(String squuid)
	 {
		SQUUID = squuid;
	}
	 
	/**
	 * Retrieves the value of DataElement
	 * @return the vALUE
	 */
	 String getVALUE()
	 {
		return VALUE;
	}
	 
	/**
	 * Sets the value of DataElement
	 * @param value the vALUE to set
	 */
	 void setVALUE(String value)
	 {
		VALUE = value;
	}
}